using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using SystemCommon;


namespace 顧客分析君
{
    public partial class _207メールテンプレート一覧 : Form
    {
        ////////////////////////////////////////////////////////////////////////
        // メンバ変数
        ////////////////////////////////////////////////////////////////////////
        #region メンバ変数

		//private enum enmメールテンプレート一覧Cell : int
		//{
		//    メールテンプレートNo = 0,
		//    メールテンプレート名 = 1,
		//    Fromアドレス = 2,
		//    件名 = 3,
		//    本文1 = 4,
		//    お勧め商品掲載 = 5,
		//    お勧め商品区分 = 6,
		//    本文2 = 7,
		//    署名 = 8,
		//    テストメール配信先 = 9
		//}
		private static class メールテンプレート一覧Cell
		{
            public const byte bytメールテンプレートNo = 0;
            public const byte bytメールテンプレート名 = 1;
            public const byte bytFromアドレス = 2;
            public const byte byt件名 = 3;
            public const byte byt本文1 = 4;
            public const byte bytお勧め商品掲載 = 5;
            public const byte bytお勧め商品区分 = 6;
            public const byte byt本文2 = 7;
            public const byte byt署名 = 8;
			public const byte bytテストメール配信先 = 9;
		}

        public string mstrメールテンプレートNo;
        public string mstrメールテンプレート名;
        public string mstrFromアドレス;
        public string mstr件名;
        public string mstr本文1;
        public string mstrお勧め商品掲載;
        public string mstrお勧め商品区分;
        public string mstr本文2;
        public string mstr署名;
        public string mstrテストメール配信先;

        #endregion


        ////////////////////////////////////////////////////////////////////////
        // 公開 共通メソッド 
        ////////////////////////////////////////////////////////////////////////
        #region 公開 共通メソッド

        public _207メールテンプレート一覧()
        {
            InitializeComponent();
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////
        // 非公開 共通メソッド
        ////////////////////////////////////////////////////////////////////////
        #region 非公開 共通メソッド

        private void Set列幅()
        {
            dgvメールテンプレート一覧.Columns[メールテンプレート一覧Cell.bytメールテンプレートNo].Visible = false;
            dgvメールテンプレート一覧.Columns[メールテンプレート一覧Cell.bytメールテンプレート名].Width = C_列幅.メールテンプレート名;
            dgvメールテンプレート一覧.Columns[メールテンプレート一覧Cell.bytFromアドレス].Width = C_列幅.メールアドレス;
            dgvメールテンプレート一覧.Columns[メールテンプレート一覧Cell.byt件名].Width = C_列幅.件名;
            dgvメールテンプレート一覧.Columns[メールテンプレート一覧Cell.byt本文1].Width = C_列幅.本文;
            dgvメールテンプレート一覧.Columns[メールテンプレート一覧Cell.bytお勧め商品掲載].Width = C_列幅.お勧め商品掲載;
            dgvメールテンプレート一覧.Columns[メールテンプレート一覧Cell.bytお勧め商品区分].Width = C_列幅.お勧め商品区分;
            dgvメールテンプレート一覧.Columns[メールテンプレート一覧Cell.byt本文2].Width = C_列幅.本文;
            dgvメールテンプレート一覧.Columns[メールテンプレート一覧Cell.byt署名].Width = C_列幅.署名;
            dgvメールテンプレート一覧.Columns[メールテンプレート一覧Cell.bytテストメール配信先].Width = C_列幅.メールアドレス;
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////
        // イベントハンドラ
        ////////////////////////////////////////////////////////////////////////
        #region イベントハンドラ

        private void _207メールテンプレート一覧_Load(object sender, EventArgs e)
        {
            try
            {
                d11メールテンプレートta.Fill(d11メール配信.D11メールテンプレート);

                Set列幅();
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_207メールテンプレート一覧", "_207メールテンプレート一覧_Load", ex);
            }
        }

        private void dgvメールテンプレート一覧_RowPostPaint(object sender, DataGridViewRowPostPaintEventArgs e)
        {

        }

        private void btn削除_Click(object sender, EventArgs e)
        {
            try
            {
                if (dgvメールテンプレート一覧.SelectedRows.Count == 0)
                {
                    MessageBox.Show(Properties.Resources.MSG_W_073, this.Text, MessageBoxButtons.OK, MessageBoxIcon.Warning);
                    return;
                }

                d11メールテンプレートta.Delete(int.Parse(dgvメールテンプレート一覧.SelectedCells[メールテンプレート一覧Cell.bytメールテンプレートNo].ToString()));
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_207メールテンプレート一覧", "btn削除_Click", ex);
            }
        }

        private void btn選択_Click(object sender, EventArgs e)
        {
            try
            {
                if (dgvメールテンプレート一覧.SelectedRows.Count == 0)
                {
                    MessageBox.Show(Properties.Resources.MSG_W_073, this.Text, MessageBoxButtons.OK, MessageBoxIcon.Warning);
                    return;
                }

                mstrメールテンプレートNo = dgvメールテンプレート一覧.SelectedCells[メールテンプレート一覧Cell.bytメールテンプレートNo].ToString();
                mstrメールテンプレート名 = dgvメールテンプレート一覧.SelectedCells[メールテンプレート一覧Cell.bytメールテンプレート名].ToString();
                mstrFromアドレス = dgvメールテンプレート一覧.SelectedCells[メールテンプレート一覧Cell.bytFromアドレス].ToString();
                mstr件名 = dgvメールテンプレート一覧.SelectedCells[メールテンプレート一覧Cell.byt件名].ToString();
                mstr本文1 = dgvメールテンプレート一覧.SelectedCells[メールテンプレート一覧Cell.byt本文1].ToString();
                mstrお勧め商品掲載 = dgvメールテンプレート一覧.SelectedCells[メールテンプレート一覧Cell.bytお勧め商品掲載].ToString();
                mstrお勧め商品区分 = dgvメールテンプレート一覧.SelectedCells[メールテンプレート一覧Cell.bytお勧め商品区分].ToString();
                mstr本文2 = dgvメールテンプレート一覧.SelectedCells[メールテンプレート一覧Cell.byt本文2].ToString();
                mstr署名 = dgvメールテンプレート一覧.SelectedCells[メールテンプレート一覧Cell.byt署名].ToString();
                mstrテストメール配信先 = dgvメールテンプレート一覧.SelectedCells[メールテンプレート一覧Cell.bytテストメール配信先].ToString();

                this.Close();
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_207メールテンプレート一覧", "btn選択_Click", ex);
            }
        }

        private void btnキャンセル_Click(object sender, EventArgs e)
        {
            try
            {
                this.Close();
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_207メールテンプレート一覧", "btnキャンセル_Click", ex);
            }
        }

        #endregion


    }
}
